# Uses of Class
org.apache.lucene.benchmark.quality.QualityQuery

Packages that use QualityQuery
Package
Description
org.apache.lucene.benchmark.quality
Search Quality Benchmarking.
org.apache.lucene.benchmark.quality.trec
Utilities for Trec related quality benchmarking, feeding from Trec Topics and QRels inputs.
org.apache.lucene.benchmark.quality.utils
Miscellaneous utilities for search quality benchmarking: query parsing, submission reports.

- ## Uses of QualityQuery in org.apache.lucene.benchmark.quality

  Fields in org.apache.lucene.benchmark.quality declared as QualityQuery
  Modifier and Type
  Field
  Description
  `protected QualityQuery[]`
  QualityBenchmark.`qualityQueries`
  Quality Queries that this quality benchmark would execute.
  Methods in org.apache.lucene.benchmark.quality with parameters of type QualityQuery
  Modifier and Type
  Method
  Description
  `int`
  QualityQuery.`compareTo(QualityQuery other)`
  `boolean`
  Judge.`isRelevant(String docName, QualityQuery query)`
  Judge if document `docName` is relevant for the given quality query.
  `int`
  Judge.`maxRecall(QualityQuery query)`
  Return the maximal recall for the input quality query.
  `Query`
  QualityQueryParser.`parse(QualityQuery qq)`
  Parse a given QualityQuery into a Lucene query.
  `boolean`
  Judge.`validateData(QualityQuery[] qq, PrintWriter logger)`
  Validate that queries and this Judge match each other.
  Constructors in org.apache.lucene.benchmark.quality with parameters of type QualityQuery
  Modifier
  Constructor
  Description
  ``
  `QualityBenchmark(QualityQuery[] qqs, QualityQueryParser qqParser, IndexSearcher searcher, String docNameField)`
  Create a QualityBenchmark.

- ## Uses of QualityQuery in org.apache.lucene.benchmark.quality.trec

  Methods in org.apache.lucene.benchmark.quality.trec that return QualityQuery
  Modifier and Type
  Method
  Description
  `QualityQuery[]`
  Trec1MQReader.`readQueries(BufferedReader reader)`
  Read quality queries from trec 1MQ format topics file.
  `QualityQuery[]`
  TrecTopicsReader.`readQueries(BufferedReader reader)`
  Read quality queries from trec format topics file.
  Methods in org.apache.lucene.benchmark.quality.trec with parameters of type QualityQuery
  Modifier and Type
  Method
  Description
  `boolean`
  TrecJudge.`isRelevant(String docName, QualityQuery query)`
  `int`
  TrecJudge.`maxRecall(QualityQuery query)`
  `boolean`
  TrecJudge.`validateData(QualityQuery[] qq, PrintWriter logger)`

- ## Uses of QualityQuery in org.apache.lucene.benchmark.quality.utils

  Methods in org.apache.lucene.benchmark.quality.utils with parameters of type QualityQuery
  Modifier and Type
  Method
  Description
  `Query`
  SimpleQQParser.`parse(QualityQuery qq)`
  `void`
  SubmissionReport.`report(QualityQuery qq, TopDocs td, String docNameField, IndexSearcher searcher)`
  Report a search result for a certain quality query.